PAM_INFO(3)

NAME
pam_info, pam_vinfo - display messages to the user

SYNOPSIS

#include <security/pam_ext.h>

int pam_info(pam_handle_t *pamh, const char *fmt, ...);

int pam_vinfo(pam_handle_t *pamh, const char *fmt, va_list args);

DESCRIPTION

The pam_info function prints messages through the conversation function to the user.

The pam_vinfo function performs the same task as pam_info() with the difference that it takes a set of arguments which have been obtained using the stdarg(3) variable argument list macros.

RETURN VALUES

PAM_BUF_ERR
    Memory buffer error.

PAM_CONV_ERR
    Conversation failure.

PAM_SUCCESS
    Transaction was successful created.

PAM_SYSTEM_ERR
    System error.

SEE ALSO

pam(8)

STANDARDS

The pam_info and pam_vinfo functions are Linux-PAM extensions.